unit U_Routines;

interface

uses
  System.SysUtils,
  System.UITypes,
  System.Classes,
  System.Variants,
  System.IniFiles,
  FMX.Types,
  FMX.Controls,
  FMX.Forms,
  FMX.Dialogs,
  FMX.DialogService,
  FMX.Memo,
  FMX.Layouts,
  FMX.Platform,
  FMX.StdCtrls,
  FMX.ScrollBox,
  FMX.Controls.Presentation


     {$IFDEF MSWINDOWS}
       ,Winapi.ShellAPI, Winapi.Windows
     {$ENDIF}

     {$IFDEF MACOS}
       ,Posix.Stdlib,Posix.uniStd,Posix.Stdio
     {$ENDIF}

     {$IFDEF LINUX64}
       ,Posix.Stdio
       ,Posix.Stdlib
       ,Posix.Unistd
     {$ENDIF}
  ;


type
  TMainForm = class(TForm)
    Button_Start_Update: TButton;
    Button_Exit: TButton;
    GroupBox_Update_Server: TGroupBox;
    procedure Button_ExitClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.FMX}



Var Version_String: String;


procedure TMainForm.Button_ExitClick(Sender: TObject);
begin
  Close;
end;


procedure TMainForm.FormCreate(Sender: TObject);

begin
  Version_String:='v1.25';

  MainForm.Caption:='Software updater '+Version_String;
end;


end.
